misagent.h File Reference

## Description

Manage provisioning profiles.

## Macros

#define | MISAGENT_SERVICE_NAME "com.apple.misagent"
| Service identifier passed to lockdownd_start_service() to start the misagent service.

## Typedefs

typedef misagent_client_private * | misagent_client_t
| The client handle.

## Enumerations

enum | misagent_error_t { MISAGENT_E_SUCCESS = 0 , MISAGENT_E_INVALID_ARG = -1 , MISAGENT_E_PLIST_ERROR = -2 , MISAGENT_E_CONN_FAILED = -3 , MISAGENT_E_REQUEST_FAILED = -4 , MISAGENT_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API misagent_error_t | misagent_client_new (idevice_t device, lockdownd_service_descriptor_t service, misagent_client_t *client)
| Connects to the misagent service on the specified device.
LIBIMOBILEDEVICE_API misagent_error_t | misagent_client_start_service (idevice_t device, misagent_client_t *client, const char *label)
| Starts a new misagent service on the specified device and connects to it.
LIBIMOBILEDEVICE_API misagent_error_t | misagent_client_free (misagent_client_t client)
| Disconnects an misagent client from the device and frees up the misagent client data.
LIBIMOBILEDEVICE_API misagent_error_t | misagent_install (misagent_client_t client, plist_t profile)
| Installs the given provisioning profile.
LIBIMOBILEDEVICE_API misagent_error_t | misagent_copy (misagent_client_t client, plist_t *profiles)
| Retrieves all installed provisioning profiles (iOS 9.2.1 or below).
LIBIMOBILEDEVICE_API misagent_error_t | misagent_copy_all (misagent_client_t client, plist_t *profiles)
| Retrieves all installed provisioning profiles (iOS 9.3 or higher).
LIBIMOBILEDEVICE_API misagent_error_t | misagent_remove (misagent_client_t client, const char *profileID)
| Removes a given provisioning profile.
LIBIMOBILEDEVICE_API int | misagent_get_status_code (misagent_client_t client)
| Retrieves the status code from the last operation.